## mercurial-buildpackage 0.7

=== debian/changelog ===
mercurial-buildpackage (0.7) unstable; urgency=low

  * Only perform build-dependency check when building in-place, thanks to
    Eike Nicklas.
  * Refix #563057 which was reintroduced by not emptying Process output on
    low verbosity.

 -- Jens Peter Secher <jps@debian.org>  Tue, 19 Jan 2010 23:15:53 +0100

mercurial-buildpackage (0.6) unstable; urgency=low

  * Work around Mercurial's inability to track empty directories (which
    makes it harder to recreate pristine tarballs) by removing empty
    directories after unpacking of tarballs.

 -- Jens Peter Secher <jps@debian.org>  Mon, 18 Jan 2010 22:28:32 +0100

mercurial-buildpackage (0.5) unstable; urgency=low

  * Always process output from subprocesses immediately to avoid the
    subprocess blocking.
    (Closes: #563057)
  * Fixed usage help in tagversion.
  * Do not --skip-patches when unpacking because dpkg-source format 3.0
    (quilt) expects the patches to be applied anyway.  And unpack with
    --no-copy.

 -- Jens Peter Secher <jps@debian.org>  Mon, 11 Jan 2010 23:12:18 +0100

mercurial-buildpackage (0.4) unstable; urgency=low

  * Preserve executable mode for upstream files, thanks to Luke Cycon.
  * Just rely on the underscore in the upstream tarball file names to
    detect source name, thanks to Raúl Sánchez Siles.
    (Closes: #563058)

 -- Jens Peter Secher <jps@debian.org>  Tue, 05 Jan 2010 22:31:40 +0100

mercurial-buildpackage (0.3) unstable; urgency=low

  * Porting branches are now suported.  
  * Always use Mercurial's internal merging mechanism to avoid arbitrary
    merging programs to start up; instead conflict markers are put
    directly in conflicting files.
  * Explained repository layout in manpage, and various other manpage
    fixes.
  * Better error message when tarball filenames do not follow format 3.0,
    thanks to Goswin von Brederlow.
    (Closes: #560189)

 -- Jens Peter Secher <jps@debian.org>  Wed, 23 Dec 2009 00:18:16 +0100

mercurial-buildpackage (0.2) unstable; urgency=low

  * The importorig program now saves xdeltas to be able to restore the
    pristine tarballs.
  * Fixed the dependency on haxe to avoid build failures.

 -- Jens Peter Secher <jps@debian.org>  Fri, 20 Nov 2009 23:37:20 +0100

mercurial-buildpackage (0.1) unstable; urgency=low

  * Initial package.  It is a redesign of John Goerzen's hg-buildpackage.

 -- Jens Peter Secher <jps@debian.org>  Fri, 25 Sep 2009 21:09:28 +0200
