=== debian/control ===
Source: mercurial-buildpackage
Section: devel
Priority: optional
Maintainer: Jens Peter Secher <jps@debian.org>
Build-Depends: debhelper (>= 7), haxe (>= 1:2.4-3~)
Standards-Version: 3.8.3
Vcs-Hg: http://hg.debian.org/hg/collab-maint/mercurial-buildpackage

Package: mercurial-buildpackage
Architecture: any
Depends: mercurial, devscripts, pristine-tar, neko, ${shlibs:Depends}, ${misc:Depends}
Recommends: sudo, pbuilder
Description: Suite to maintain Debian packages in Mercurial repository
 This package helps to automate the task of maintaining Debian
 packages by using the distributed version-control system Mercurial.
 The programs included are:
 .
 mercurial-importdsc: Import an existing Debian source package into a
 Mercurial repository.
 .
 mercurial-importorig: Import new upstream tarballs.
 .
 mercurial-pristinetar: Recreate source tarballs from the Mercurial
 repository so they are identical to original upstream tarballs.
 .
 mercurial-buildpackage: Build a Debian package from the Mercurial
 repository, either in-place or using pbuilder.
 .
 mercurial-tagversion: Mark an uploaded Debian package for future
 reference.
