## mercurial-buildpackage 0.8.2

=== debian/changelog ===
mercurial-buildpackage (0.8.2) unstable; urgency=low

  * Do not use paths containing "../" to avoid upsetting dpkg-source
    1.15.7.1.

 -- Jens Peter Secher <jps@debian.org>  Fri, 30 Apr 2010 18:58:23 +0200

mercurial-buildpackage (0.8.1) unstable; urgency=low

  * Updated buildpackage manpage with operational outline and explained
    that Quilt patches are applied for format 3.0 packages.
  * buildpackage is now more verbose by default.
  * importorig now only tries to add new changelog entry if a
    debian/changelog already exists.

 -- Jens Peter Secher <jps@debian.org>  Sun, 28 Feb 2010 21:53:16 +0100

mercurial-buildpackage (0.8) unstable; urgency=low

  * For dpkg-source format 3.0 (quilt), the repository is now supposed to
    have all Quilt patches fully applied and the .pc directory committed.
    After importorig, the Quilt patches need to be applied manually.  
  * Be more careful about precious and interfering files when processing
    directory entries.

 -- Jens Peter Secher <jps@debian.org>  Thu, 21 Jan 2010 23:43:03 +0100
