=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: devel
 Priority: optional
 Maintainer: Jens Peter Secher <jps@debian.org>
-Build-Depends: debhelper (>= 7), haxe (>= 1:2.4-3~)
+Build-Depends: dpkg (>= 1.15.5.6), debhelper (>= 7), haxe (>= 1:2.4-3~)
 Standards-Version: 3.8.3
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/mercurial-buildpackage
 
 Package: mercurial-buildpackage
 Architecture: any
 Depends: mercurial, devscripts, pristine-tar, neko, ${shlibs:Depends}, ${misc:Depends}
-Recommends: sudo, pbuilder
+Recommends: sudo, pbuilder, quilt
 Description: Suite to maintain Debian packages in Mercurial repository
  This package helps to automate the task of maintaining Debian
  packages by using the distributed version-control system Mercurial.
