## mercurial-buildpackage 0.9

=== debian/changelog ===
mercurial-buildpackage (0.9) unstable; urgency=low

  * Cater for new hg commit behaviour: accept return code of 1.
  * Create new changelog entry before trying to merge during importorig.
  * Check that mercurial-buildpackage's changelog version matches the one
    in Constants.hx.
  * Bumped Standards-Version to 3.9.1, no change.

 -- Jens Peter Secher <jps@debian.org>  Sat, 07 Aug 2010 00:14:22 +0200
