=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # debian/rules for mercurial-buildpackage.
 
 PACKAGE := $(shell dpkg-parsechangelog | head -1 | cut -c9-)
-VERSION := $(shell dpkg-parsechangelog | head -2 | tail -1 | cut -c10-)
+CHANGELOG := $(shell dpkg-parsechangelog | head -2 | tail -1 | cut -c10-)
 
 clean:
 	dh_testdir
@@ -17,6 +17,7 @@
 	touch $@
 
 build: build-stamp
+	[ "$(CHANGELOG)" = $(shell echo {Version} | $(CURDIR)/macro-expand ) ]
 
 install: build
 	dh_testdir
