## mercurial-buildpackage 0.10

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 # Copyright (c) 2009, Jens Peter Secher <jpsecher@gmail.com>
+# Copyright (c) 2012, Darren Salt <linux@youmustbejoking.demon.co.uk>
 #
 # Permission to use, copy, modify, and/or distribute this software for any
 # purpose with or without fee is hereby granted, provided that the above
@@ -12,7 +13,15 @@
 # ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 # OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 
-source := $(wildcard *.hx) Makefile
+
+# Set this at make invocation if you want extended version strings.
+# For example, VENDOR_VERSION=foo results in "0.10 (foo)".
+VENDOR_VERSION ?=
+
+
+source_in := $(wildcard *.hx.in)
+source_generated := $(basename $(source_in))
+source := $(wildcard *.hx) $(source_generated) Makefile
 
 binaries := mercurial-buildpackage mercurial-tagversion	\
             mercurial-importorig mercurial-importdsc \
@@ -22,31 +31,34 @@
 
 manpages := $(binaries:=.1)
 
+HAXE = haxe -neko $@.n -cmd 'nekotools boot $@.n' -main
+
+
 all: $(binaries) $(manpages)
 
 mercurial-buildpackage: $(source)
-	haxe -neko $@.n -main MercurialBuildPackage -cmd 'nekotools boot $@.n'
+	$(HAXE) MercurialBuildPackage
 
 mercurial-pristinetar: $(source)
-	haxe -neko $@.n -main MercurialPristineTar -cmd 'nekotools boot $@.n'
+	$(HAXE) MercurialPristineTar
 
 mercurial-tagversion: $(source)
-	haxe -neko $@.n -main MercurialTagVersion -cmd 'nekotools boot $@.n'
+	$(HAXE) MercurialTagVersion
 
 mercurial-importorig: $(source)
-	haxe -neko $@.n -main MercurialImportOrig -cmd 'nekotools boot $@.n'
+	$(HAXE) MercurialImportOrig
 
 mercurial-importdsc: $(source)
-	haxe -neko $@.n -main MercurialImportDsc -cmd 'nekotools boot $@.n'
+	$(HAXE) MercurialImportDsc
 
 mercurial-port: $(source)
-	haxe -neko $@.n -main MercurialPort -cmd 'nekotools boot $@.n'
+	$(HAXE) MercurialPort
 
 testprocess: $(source)
-	haxe -neko $@.n -main TestProcess -cmd 'nekotools boot $@.n'
+	$(HAXE) TestProcess
 
 macro-expand: $(source)
-	haxe -neko $@.n -main MacroExpand -cmd 'nekotools boot $@.n'
+	$(HAXE) MacroExpand
 
 mercurial-pristinetar.1: MercurialPristineTar.man macro-expand $(source)
 	./macro-expand < $< > $@
@@ -80,7 +92,15 @@
 	./$<
 
 clean:
-	rm -f *.n $(binaries) $(helpers) $(manpages)
+	rm -f *.n $(binaries) $(helpers) $(manpages) $(source_generated)
 
-.PHONY: clean check all install
+# Generated sources
+Constants.hx: Constants.hx.in
+	sed -e 's/@VENDOR@/'"$(VENDOR_VERSION)"'/g' <$< >$@
 
+# Misc
+version:
+	@echo "$(VERSION)"
+
+.PHONY: clean check all install version
+.DELETE_ON_ERROR:
