=== debian/changelog ===
mercurial-buildpackage (0.10) unstable; urgency=low

  * Taking over this package... (Closes: #628953)
  * Add support for xz-compressed tarballs. (Closes: #658648)
    - Bump dependency on pristine-tar to >= 1.18.
  * Fix (most) problems with pristine tarball generation. (Closes: #626855)
    - Ensure that we have the source root directory in the tarball.
    - Ensure that the source root directory is correctly named.
    - Force owner, group and permissions to 0 when generating the xdelta.
    This should be enough to cover the usual use cases.
    It's fairly safe to say that anything else is going to be Fun™...
  * Don't spawn shells for tar.
  * Handle version info differently: vendor-specific version strings can be
    specified via a make variable, VENDOR_VERSION.
    Also, tidy up version checking in debian/rules and set VENDOR_VERSION to
    the vendor name as reported by dpkg-vendor.
    (Closes: #612271)
  * Have all commands respond to --help, -h and -?.
  * Put upstream tags on the upstream branch. It makes more sense to me than
    tagging a prior commit in the main branch.
  * Improved the concurrent stdout/stderr reading (referenced below).
  * Add -S (--source-only) to mercurial-buildpackage.
  * Add a note to README.txt about hacking on mercurial-buildpackage source.
  * Add build-arch and build-indep targets in debian/rules.
    (The latter is currently empty.)
  * Correctly quote (or unquote) hyphens in the man pages.
  * Add a dummy debian/watch.
  * Misc cleanup.

  [Jens Peter Secher]
  * Found a way to concurrently read stdout and stderr from a Process
    which means that there should be no more stalled build processes.
  * Allow successive import-dsc also when only the debian files changed.
  * Complain when importing tarballs that have no root directory but use
    dpkg-source with --no-check to allow manual tampering with the
    imported tarballs.

 -- Darren Salt <devspam@moreofthesa.me.uk>  Mon, 16 Jul 2012 19:05:58 +0100
