=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: mercurial-buildpackage
 Section: devel
 Priority: optional
-Maintainer: Jens Peter Secher <jps@debian.org>
+Maintainer: Darren Salt <devspam@moreofthesa.me.uk>
 Build-Depends: dpkg (>= 1.15.5.6), debhelper (>= 7), haxe (>= 1:2.4-3~)
 Standards-Version: 3.9.1
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/mercurial-buildpackage
 
 Package: mercurial-buildpackage
 Architecture: any
-Depends: mercurial, devscripts, pristine-tar, neko, ${shlibs:Depends}, ${misc:Depends}
+Depends: mercurial, devscripts, pristine-tar (>= 1.18), neko, ${shlibs:Depends}, ${misc:Depends}
 Recommends: sudo, pbuilder
 Suggests: quilt
 Description: Suite to maintain Debian packages in Mercurial repository
