## mercurial-buildpackage 0.10.1

=== debian/changelog ===
mercurial-buildpackage (0.10.1) unstable; urgency=low

  * Fix ‘class not found’ FTBFS. (Closes: #719405)
  * Bump dependency on haxe.
  * Standards version 3.9.6.

 -- Darren Salt <devspam@moreofthesa.me.uk>  Tue, 28 Oct 2014 02:10:25 +0000
