=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Darren Salt <devspam@moreofthesa.me.uk>
-Build-Depends: dpkg (>= 1.15.5.6), debhelper (>= 7), haxe (>= 1:2.4-3~)
-Standards-Version: 3.9.1
+Build-Depends: dpkg (>= 1.15.5.6), debhelper (>= 7), haxe (>= 3)
+Standards-Version: 3.9.6
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/mercurial-buildpackage
 
 Package: mercurial-buildpackage
