=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for mercurial-buildpackage.

PACKAGE := $(shell dpkg-parsechangelog | head -1 | cut -c9-)
CHANGELOG := $(shell dpkg-parsechangelog | sed -e '/^Version: /! d; s/^.* //')

clean:
	dh_testdir
	dh_testroot
	rm -f build-*-stamp
	$(MAKE) clean
	dh_clean 

build-stamp:
	dh_testdir
	$(MAKE) VENDOR_VERSION="$(shell dpkg-vendor --query Vendor)"
	touch $@

build: build-arch

build-arch: build-stamp
	[ "$(CHANGELOG)" = $(shell echo '{UpstreamVersion}' | $(CURDIR)/macro-expand) ]

build-indep:
#	nothing to do

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/$(PACKAGE)

binary-indep: build-indep install

binary-arch: build-arch install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs README.txt
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build-indep build-arch build clean binary-indep binary-arch binary install
