## mercurial-buildpackage 0.10.1+nmu1

=== debian/changelog ===
mercurial-buildpackage (0.10.1+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make the package binNMUable (Closes: #826968)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 16 Jun 2016 17:21:56 +0200
