=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,8 @@
 build: build-arch
 
 build-arch: build-stamp
-	[ "$(CHANGELOG)" = $(shell echo '{UpstreamVersion}' | $(CURDIR)/macro-expand) ]
+	#[ "$(CHANGELOG)" = $(shell echo '{UpstreamVersion}' | $(CURDIR)/macro-expand) ]
+	$(CURDIR)/macro-expand
 
 build-indep:
 #	nothing to do
