## mercurial-buildpackage 0.10.1+nmu2

=== debian/changelog ===
mercurial-buildpackage (0.10.1+nmu2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #881510)

 -- Marcos Talau <talau@debian.org>  Sun, 13 Nov 2022 19:16:13 -0300
