=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mercurial-buildpackage
 Section: devel
 Priority: optional
-Maintainer: Darren Salt <devspam@moreofthesa.me.uk>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: dpkg (>= 1.15.5.6), debhelper (>= 7), haxe (>= 3)
 Standards-Version: 3.9.6
 Vcs-Hg: http://hg.debian.org/hg/collab-maint/mercurial-buildpackage
