## mercurial-buildpackage 0.10.2

=== debian/changelog ===
mercurial-buildpackage (0.10.2) unstable; urgency=medium

  * QA upload.
  * Drop non-existing Vcs-Hg.

 -- Bastian Germann <bage@debian.org>  Tue, 14 Feb 2023 15:33:36 +0100
